Bug 118265 - update math/glpk to version 4.24
Summary: update math/glpk to version 4.24
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Sivachenko
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-11-26 19:10 UTC by Pedro F. Giffuni
Modified: 2007-12-12 14:20 UTC (History)
0 users

See Also:


Attachments
file.diff (1.86 KB, patch)
2007-11-26 19:10 UTC, Pedro F. Giffuni
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro F. Giffuni 2007-11-26 19:10:02 UTC
- Update to latest version of glpk.
- include headers required for building gmpl support in math/clp
- remover -fPIC hack for amd64 which doesn't seem necessary anymore.
Comment 1 Edwin Groothuis freebsd_committer 2007-11-26 19:10:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->demon

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Pedro F. Giffuni 2007-11-27 00:07:56 UTC
oops...

s/LOCALBASE/PREFIX

diff -ruN glpk.orig/Makefile glpk/Makefile
--- glpk.orig/Makefile	Mon Nov 26 11:45:58 2007
+++ glpk/Makefile	Mon Nov 26 18:22:24 2007
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	glpk
-PORTVERSION=	4.21
+PORTVERSION=	4.24
 CATEGORIES=	math
 MASTER_SITES=	${MASTER_SITE_GNU}
 MASTER_SITE_SUBDIR=	glpk
@@ -23,11 +23,19 @@
 USE_LDCONFIG=	yes
 CFLAGS+=	-trigraphs
 
+GMPL_H= 	glpavl.h glpdmp.h glplib.h glpmpl.h glprng.h glpstd.h
+GMPLDIR=	${PREFIX}/include/gmpl
+
 .if !defined(NOPORTDOCS)
 PORTDOCS=	bench.txt bench1.txt glpk.ps glpk_faq.txt gmpl.ps opb.txt
 .endif
 
 post-install:
+	@${MKDIR} ${GMPLDIR}
+	for incfile in ${GMPL_H} ; do \
+		${INSTALL_DATA} ${WRKSRC}/include/$${incfile} ${GMPLDIR} ; \
+	done
+
 .if !defined(NOPORTDOCS)
 	@${MKDIR} ${DOCSDIR}
 	for docfile in ${PORTDOCS} ; do \
@@ -35,10 +43,4 @@
 	done
 .endif
 
-.include <bsd.port.pre.mk>
-
-.if ${ARCH} == "amd64"
-CFLAGS+=	-fPIC
-.endif
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff -ruN glpk.orig/distinfo glpk/distinfo
--- glpk.orig/distinfo	Mon Nov 26 11:45:58 2007
+++ glpk/distinfo	Mon Nov 26 11:48:16 2007
@@ -1,3 +1,3 @@
-MD5 (glpk-4.21.tar.gz) = a41df71415c97fc5c541d19547ced10a
-SHA256 (glpk-4.21.tar.gz) =
3be04106ef18b1f92af9fe7936ecb675a04cabab72ff65e1a03bf2205d99d549
-SIZE (glpk-4.21.tar.gz) = 1413712
+MD5 (glpk-4.24.tar.gz) = 765dcecc20dc6b80362e65c755f41976
+SHA256 (glpk-4.24.tar.gz) =
23326c9dd21762159b6fa946e41e0e95d233c6e9f9a69134ef10e3541cd516c9
+SIZE (glpk-4.24.tar.gz) = 1449575
diff -ruN glpk.orig/pkg-plist glpk/pkg-plist
--- glpk.orig/pkg-plist	Mon Nov 26 11:45:58 2007
+++ glpk/pkg-plist	Mon Nov 26 13:34:10 2007
@@ -1,6 +1,13 @@
 bin/glpsol
 include/glpk.h
+include/gmpl/glpavl.h
+include/gmpl/glpdmp.h
+include/gmpl/glplib.h
+include/gmpl/glpmpl.h
+include/gmpl/glprng.h
+include/gmpl/glpstd.h
+@dirrm include/gmpl
 lib/libglpk.a
 lib/libglpk.la
 lib/libglpk.so
-lib/libglpk.so.6
+lib/libglpk.so.9



      Comparte video en la ventana de tus mensajes (y también tus fotos de Flickr). Usa el nuevo Yahoo! Messenger versión Beta.
http://e1.beta.messenger.yahoo.com/
Comment 3 dfilter service freebsd_committer 2007-12-12 14:12:47 UTC
demon       2007-12-12 14:12:43 UTC

  FreeBSD ports repository

  Modified files:
    math/glpk            Makefile distinfo pkg-plist 
  Log:
  - Update to version 4.24.
  - include headers required for building gmpl support in math/clp
  - remover -fPIC hack for amd64 which doesn't seem necessary anymore.
  
  PR:             118265
  Submitted by:   "Pedro F. Giffuni" <giffunip@tutopia.com>
  
  Revision  Changes    Path
  1.26      +10 -8     ports/math/glpk/Makefile
  1.23      +3 -3      ports/math/glpk/distinfo
  1.21      +8 -1      ports/math/glpk/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Dmitry Sivachenko freebsd_committer 2007-12-12 14:12:56 UTC
State Changed
From-To: open->closed

Port updated, thanks!